GDCM: gdcm::ImageApplyLookupTable Class Reference

GDCM 3.0.26

Public Member Functions | List of all members
gdcm::ImageApplyLookupTable Class Reference

ImageApplyLookupTable class. More...

`#include <gdcmImageApplyLookupTable.h>`

Inheritance diagram for gdcm::ImageApplyLookupTable:
[legend]
Collaboration diagram for gdcm::ImageApplyLookupTable:
[legend]

## Public Member Functions
| ImageApplyLookupTable ()
| ~ImageApplyLookupTable ()
bool | Apply ()
| Apply.
void | SetRGB8 (bool b)
| RGB8 ?
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageApplyLookupTable class.

It applies the LUT the PixelData (only PALETTE_COLOR images) Output will be a PhotometricInterpretation=RGB image

## Constructor & Destructor Documentation

## ◆ ImageApplyLookupTable()

gdcm::ImageApplyLookupTable::ImageApplyLookupTable | ( |  | ) |

## ◆ ~ImageApplyLookupTable()

gdcm::ImageApplyLookupTable::~ImageApplyLookupTable | ( |  | ) |

## Member Function Documentation

## ◆ Apply()

bool gdcm::ImageApplyLookupTable::Apply | ( |  | ) |

Apply.

## ◆ SetRGB8()

void gdcm::ImageApplyLookupTable::SetRGB8 | ( | bool | b | ) |

RGB8 ?

The documentation for this class was generated from the following file:

- gdcmImageApplyLookupTable.h